package step

// Error enumerates errors common to this package.
type Error string; const (
	ErrCircularInheritance     Error = "circular inheritance"
	ErrFrontMatterMalformed    Error = "front matter is malformed"
	ErrFrontMatterNeverClosed  Error = "front matter is never closed"
	ErrFrontMatterDuplicateKey Error = "duplicate key in front matter"
	ErrTypeMismatch            Error = "type mismatch"
)

// Error fulfills the error interface.
func (err Error) Error () string {
	return string(err)
}
